%define name fgrun
%define version 3.0.0
%define release %mkrel 3
%define gittag e13e42811239008fded7685d8f2311bb571f6a58

Name:		%{name}
Version:	%{version}
Release: 	%{release}
Summary:	FlightGear Launch Control is a graphical frontend for running FlightGear
License:	GPL2v2
URL:		http://fgrun.sourceforge.net/
Group: 		Games/Simulation
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:	https://gitorious.org/fg/fgrun/archive/%{gittag}.tar.gz
Patch1:         0001-Build-fgrun-with-static-ui-libs.patch
Patch2:         0002-Fix-a-crash-when-setting-defaults.patch
Patch3:         0003-Default-settings-for-Fedora.patch
Patch4:         0004-Fix-reloadPath-logic.patch
BuildRequires:	%{_lib}plib1-devel %{_lib}fltk-devel %{_lib}simgear-devel %{_lib}mesagl1-devel imagemagick
BuildRequires:	%{_lib}OpenSceneGraph-devel gettext boost-devel
Requires: flightgear >= 2.8.0

%description
A graphical frontend to run FlightGear Flight Simulator.

%prep
%setup -qn fg-fgrun
%apply_patches

%build
%cmake
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build

mkdir -p %{buildroot}%{_sysconfdir}/fltk/flightgear.org
install -m 0644 fgrun.prefs \
        %{buildroot}%{_sysconfdir}/fltk/flightgear.org/fgrun.prefs
%find_lang %{name}


install -d -m 755 %{buildroot}%{_datadir}/applications
cat >  %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Fgrun - FlightGear graphical frontend
Comment=%{summary}
Exec=fgrun
Icon=%{name}
Type=Application
StartupNotify=false
Terminal=false
Comment=A FlightGear GUI-frontend
Comment[fr]=Une interface graphique á FlightGear
Comment[da]=Grafisk interface til start af FlightGear
Categories=X-MandrivaLinux-MoreApplications-Games-Other;Game;
EOF

# icon
%{__install} -d %{buildroot}{%{_miconsdir},%{_liconsdir}}
convert flightgear.ico flightgear.png 
%{__install} flightgear-1.png %{buildroot}%{_miconsdir}/%{name}.png
%{__install} flightgear-0.png %{buildroot}%{_iconsdir}/%{name}.png
%{__install} flightgear-3.png %{buildroot}%{_liconsdir}/%{name}.png


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%update_menus
%update_desktop_database

%postun
%clean_icon_cache hicolor
%clean_menus
%clean_desktop_database

%files
%defattr(-,root,root,-)
%doc README COPYING NEWS AUTHORS
%attr(755,root,root) %{_bindir}/fgrun
%dir %{_sysconfdir}/fltk
%dir %{_sysconfdir}/fltk/flightgear.org
%{_sysconfdir}/fltk/flightgear.org/fgrun.prefs
%{_datadir}/applications/%{name}.desktop
%{_datadir}/locale
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png

%changelog
* Fri Apr 08 2016 bb <bb. 3.0.0-2pclos2016
- rebuild for updates

* Mon Apr 07 2014 pinoc <vogtpet at gmail.com> 3.0.0-1pclos2014
- 3.0.0

* Thu Oct 24 2013 billybot <billybot> 1.7.0-2pclos2013
- rebuild against openscene libs

* Fri Sep 27 2013 pinoc <vogtpet at gmail.com> 1.7.0-1pclos2013
- 1.7.0

* Fri Jan 20 2012 Neal <nealbrks0 at gmail dot com> 1.6.0-1pclos2011
- process

* Mon Jan 02 2012 MBantz <martin dot bantz at gmail dot com> 1.6.0-1pclos2011
- Adapted to 64 bit

* Tue Aug 30 2011 MBantz <martin dot bantz at gmail dot com>  1.6.0-1pclos2011
- Update to 1.6.0

* Sun Nov 21 2010 Texstar <texstar at gmail.com> 1.5.2-2pclos2010
- rebuild for new fltk

* Wed May 19 2010 MBantz <martin dot bantz at gmail dot com> 1.5.2-1pclos2010
- Update to 1.5.2

* Sat Jun 14 2009 MBantz <martin dot bantz at gmail dot com> 1.5.1-1pclos2007
- Initial build for PCLinux
